:root>* {
    --md-default-fg-color--dark: #3b454e;
    --md-default-fg-color--light: #c0c0c0;
    --md-code-hl-comment-color: #75715e;
    --md-code-hl-variable-color: #000;
    --md-code-hl-name-color: #232e91;
    --md-code-hl-punctuation-color: #3b454e;
    --md-code-hl-operator-color: #3b454e;
    --md-code-hl-keyword-color: #d42828;
    --md-code-hl-number-color: #276cec;

    --md-mermaid-node-bg-color: #fff;
    --md-mermaid-node-fg-color: #888;
    --md-mermaid-label-fg-color: #333;
    --md-mermaid-edge-color: #888;
    
    --md-admonition-icon--file: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" width="16" height="16"><path fill-rule="evenodd" d="M3.75 1.5a.25.25 0 00-.25.25v11.5c0 .138.112.25.25.25h8.5a.25.25 0 00.25-.25V6H9.75A1.75 1.75 0 018 4.25V1.5H3.75zm5.75.56v2.19c0 .138.112.25.25.25h2.19L9.5 2.06zM2 1.75C2 .784 2.784 0 3.75 0h5.086c.464 0 .909.184 1.237.513l3.414 3.414c.329.328.513.773.513 1.237v8.086A1.75 1.75 0 0112.25 15h-8.5A1.75 1.75 0 012 13.25V1.75z"></path></svg>');
}

.md-grid {
    max-width: none;
}

.tabbed-content {
    max-height: 40em;
    overflow: auto;
    border-radius: 5px;
}

.md-typeset h1 {
    font-size: 3em;
}

.md-typeset h1,
.md-typeset h2,
.md-typeset h3,
.md-typeset h4 {
    color: var(--md-default-fg-color--dark);
    font-weight: 600;
}

.md-typeset img,
.md-typeset iframe {
    max-width: 80%;
    display: block;
    margin: auto;
    box-shadow: 5px 5px 10px 1px #AAA;
}

.md-typeset blockquote {
    color: var(--md-default-fg-color--dark);
    background-color: aliceblue;
    line-height: normal;
    padding: 0.2em 0;
}

.embed {
    padding: 1rem;
    border: 1px solid #EEE;
    border-radius: 3px;
    display: block;
    cursor: pointer;
}

.md-content {
    color: #3b454e;
    padding: 2rem;
}

.md-content a {
    background: #f3f3f3;
}

.md-main__inner {
    margin-top: 0;
}

.md-typeset code {
    counter-reset: line;
    border-radius: 3px;
}

/* Hittar egenskaper eller metoder */
.md-typeset code .f {
    color: var(--md-code-hl-function-color);
}

/* Hittar kod-snippets i löpande text */
.md-typeset p > code, .md-typeset li > code, .md-typeset dd > code {
    background: #ff9
}

.md-typeset span.line {
    counter-increment: line;
}

.md-typeset span.line:first-of-type::before {
    counter-set: 1;
}

.md-typeset span.line:before {
    content: counter(line);
    width: 3em;
    margin-right: 1em;
    display: inline-block;
    color: var(--md-code-hl-number-color);
    border-right: 1px solid var(--md-code-hl-number-color);
}

.md-sidebar--secondary {
    color: #5c6975;
}

.md-typeset .admonition.file,
.md-typeset details.file {
    border-color: rgb(43, 155, 70);
}

.md-typeset .file>.admonition-title,
.md-typeset .file>summary {
    background-color: rgba(43, 155, 70, 0.1);
    border-color: rgb(43, 155, 70);
}

.md-typeset .file>.admonition-title::before,
.md-typeset .file>summary::before {
    background-color: rgb(43, 155, 70);
    -webkit-mask-image: var(--md-admonition-icon--file);
    mask-image: var(--md-admonition-icon--file);
}

table {
    border-collapse: collapse;
}

th, td {
    border-left: 1px solid #f1f1f1;
}

th:first-child, td:first-child {
    border-left: none;
}

@media screen and (min-width: 76.25em) {

    /* Ger vänster sidebar en ljus bakgrund */
    .md-sidebar--primary {
        color: #5c6975;
    }

    .md-sidebar {
        padding: 0;
    }

    .md-sidebar .md-nav--secondary {
        padding-top: 2em;
    }

    .md-sidebar--primary .md-sidebar__scrollwrap {
        background: #4051b512;
        padding-top: 2em;
    }

    .md-nav--primary .md-nav__title {
        background: #f3f3f3;
        box-shadow: none;
        display: none;
    }

    .md-nav__item--section>.md-nav>.md-nav__list>.md-nav__item {
        padding-left: 1em;
    }

    /* .md-nav__list label,
    .md-nav__link--index a {
        font-weight: bold;
    } */

    .md-nav__item .md-nav__link--active, .md-tabs__item .md-tabs__link--active {
        font-weight: bold;
    }

    .md-nav--lifted .md-nav__list .md-nav__item .md-nav__link {
        background: none;
        box-shadow: none;
    }

    /* .md-nav__item .md-nav__link--active::after {
        display: contents;
        content: "⇢";
        margin-right: 5px;
    } */

    .md-header__title--active .md-header__topic {
        opacity: 1;
        transform: none;
    }

    .md-header__title--active .md-header__topic+.md-header__topic {
        transform: translateX(7.5em);
    }

    .md-header__title--active .md-header__topic+.md-header__topic::before {
        content: ">";
        margin-right: 1em;
    }
}